io.seata.compressor.lz4

## Class Lz4Compressor

- java.lang.Object
- - io.seata.compressor.lz4.Lz4Compressor

All Implemented Interfaces:
  Compressor

    @LoadLevel(name="LZ4")
    public class Lz4Compressor
    extends Object
    implements Compressor

the Lz4 Compressor

Author:
  diguage

### Constructor Summary

Constructors
Constructor and Description
`Lz4Compressor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `compress(byte[] bytes)`
`byte[]` `decompress(byte[] bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Lz4Compressor

    public Lz4Compressor()

### Method Detail

#### compress

    public byte[] compress(byte[] bytes)

Specified by:
  `compress` in interface `Compressor`

#### decompress

    public byte[] decompress(byte[] bytes)

Specified by:
  `decompress` in interface `Compressor`